# 开发环境配置
server:
  # 服务端口
  port: 50000
  servlet:
    # 项目contextPath
    context-path: /
  tomcat:
    # tomcat的URI编码
    uri-encoding: UTF-8
    # tomcat最大线程数，默认为200
    max-threads: 800
    # Tomcat启动初始化的线程数，默认值25
    min-spare-threads: 30

# 日志配置
logging:
  level:
    com.foreverwin: debug
    org.springframework: WARN
    org.spring.springboot.dao: debug
    org.apache.ibatis: debug
    com.baomidou.mybatisplus: debug
# Spring配置
spring:
  application:
    name: mesnac-biz
  jmx:
    default-domain: ${spring.application.name}
  # 资源信息
  messages:
    # 国际化资源文件路径
    basename: i18n/messages
  jackson:
    time-zone: GMT+8
    date-format: yyyy-MM-dd HH:mm:ss
  profiles:
    active: local
  # 文件上传
  servlet:
    multipart:
      max-file-size:  30MB
      max-request-size:  30MB
  # 服务模块
  devtools:
    restart:
      # 热部署开关
      enabled: true

# MyBatis
mybatis-plus:
  type-handlers-package: com.foreverwin.modular.core.mybatisplus.type
  # 搜索指定包别名
  typeAliasesPackage: com.foreverwin.**.model
  # 配置mapper的扫描，找到所有的mapper.xml映射文件
  mapperLocations: classpath*:mapper/**/*Mapper.xml
  statement-lazy-load: true
  #dialectClass: com.foreverwin.modular.core.mybatisplus.plugins.pagination.dialects.HanaDialect
  # 加载全局的配置文件
  #    configuration:
  #      log-impl: org.apache.ibatis.logging.slf4j.Slf4jImpl
  #    configLocation: classpath:mybatisplus-config.xml
  configuration:
    jdbc-type-for-null: 'null'#解决updateAllColumn传空值报错问题